=== debian/changelog ===
mupen64plus-core (2.0-4) unstable; urgency=low

  * Fix version number of the unicode FTBFS bug in the changelog
  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add oot_subscreen_delay_fix.patch, Add Missing Subscreen Delay Fix for
      Ocarina of Time
    - Add counter_per_op.patch, Allow to overwrite the cycles per instruction
    - Add two_events_interrupt.patch, Don't insert a second interrupt event
      from same type
    - Add delay_si.patch, Allow to disable interrupt delay after DMA SI
      read/write
    - Add config_currentstateslot.patch, Use correct config parameter string
      (CurrentSaveSlot->CurrentStateSlot)
    - Add obsolete_variable.patch, Remove obsolete variable; caused crashes
      in PD/Goldeneye in Android Ed.

 -- Sven Eckelmann <sven@narfation.org>  Fri, 13 Dec 2013 16:30:01 +0100

mupen64plus-core (2.0-3) unstable; urgency=low

  * debian/patches:
    - Add sdl2_no_unicode.patch, Remove SDL unicode keycode compat code
      (Closes: #720815)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 25 Aug 2013 16:27:13 +0200

mupen64plus-core (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add n64_cic_nus_6105_reset.patch, Reset PIF_RAMb 46,47 after the
      n64_cic_nus_6105 challenge
    - Add sdl2_select_saveslot.patch, Fix saveslot selection for SDL2
      (Closes: #717801)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 25 Jul 2013 13:25:47 +0200

mupen64plus-core (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/patches:
    - Add multiple_main.patch, Fix multiple definitions of main in same
      namespace
    - Remove dejavu-font.patch, Don't use Dejavu fonts because upstream
      uses other font
    - Add bitstream-font.patch, Use font from ttf-bitstream-vera instead
      of installing own copy with libmupen64plus2
    - Remove upstream merged country_code_bits.patch,
      sdl2_joystick_events.patch, sdl2_keyrepeat.patch and
      sdl2_resize.patch
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
    - Replace dependency to ttf-dejavu-core with ttf-bitstream-vera
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:52:30 +0200

mupen64plus-core (2.0~rc3+3+5d46baa3dd76-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Breaks for pre-SDL2 plugins
  * debian/patches:
    - Add sdl2_resize.patch, Fix compiling against SDL2
    - Add country_code_bits.patch, Ignore upper 8 bit of countrycode when
      checking for PAL/NTSC system
    - Add sdl2_keyrepeat.patch, Ignore key repeats caused by the OS keyrepeat
    - Add sdl2_joystick_events.patch, Simply open joystick when needed in SDL2
    - Add sdl2_keysym.patch, Use SDL1.2 keysym in the config when using SDL2
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:24:06 +0200

mupen64plus-core (2.0~rc3+3+5d46baa3dd76-1) experimental; urgency=low

  * New Upstream Snapshot from 5d46baa3dd7660365183e16596b288f824903007
  * debian/control:
    - Provide mupen64plus-frontend-abi-2.1.1
    - Remove old mupen64plus-frontend-abi-2.0.1/2.0.2
    - Provide mupen64plus-gfx-abi-2.2
    - Provide mupen64plus-vidext-abi-3
    - Remove old mupen64plus-vidext-abi-2
  * Enable link-time optimization in debian/rules similar to upstream
  * Add VidExt_ResizeWindow@Base to libmupen64plus2 symbols
  * debian/patches:
    - Rebase dejavu-font.patch, disable_recompiler_disassembler.patch and
      printf_fixup.patch on top of 2.0~rc3+3+5d46baa3dd76

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:24:51 +0200

mupen64plus-core (1.99.5+178+cbd1bb2a5d6a-1) experimental; urgency=low

  * New Upstream Snapshot from cbd1bb2a5d6a9a04595a76412f89703d220981ed
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules
  * debian/patches:
    - Rebase dejavu-font.patch and disable_recompiler_disassembler.patch on top
      of 1.99.5+178+cbd1bb2a5d6a

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:13 +0100

mupen64plus-core (1.99.5+148+f259cbe4c1cd-1) experimental; urgency=low

  * New Upstream Snapshot from f259cbe4c1cd69f76aac9f8726c88993e3a96b70
  * Remove obsolete DM-Upload-Allowed in debian/control
  * debian/patches:
    - Rebase dejavu-font.patch, disable_recompiler_disassembler.patch and
      printf_fixup.patch on top of 1.99.5+148+f259cbe4c1cd

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:32:11 +0100

mupen64plus-core (1.99.5+129+c7764c244288-1) experimental; urgency=low

  * New Upstream Snapshot from c7764c2442889c9dc19648df11a89ca88fb2d8fa
  * debian/patches:
    - Remove upstream merged dynarec_amd64_nostackreg.patch

 -- Sven Eckelmann <sven@narfation.org>  Tue, 30 Oct 2012 18:22:22 +0100

mupen64plus-core (1.99.5+117+a5698f5f67c1-1) experimental; urgency=low

  * New Upstream Snapshot from a5698f5f67c134bdaac66c04c09c2540cc62d606
  * Upgraded to policy 3.9.4, no changes required
  * debian/patches:
    - Add dynarec_amd64_nostackreg.patch, Don't store mapped host registers on
      stack before dynarec call

 -- Sven Eckelmann <sven@narfation.org>  Sun, 07 Oct 2012 14:23:26 +0200

mupen64plus-core (1.99.5+115+5afdc1c5e077-1) experimental; urgency=low

  * New Upstream Snapshot from 5afdc1c5e07718865400ff038a5dc3660e86d7a4
  * debian/patches:
    - Remove upstream merged config_type_switch_invalid_free.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 16 Sep 2012 20:00:51 +0200

mupen64plus-core (1.99.5+113+481cdd269905-1) experimental; urgency=low


