=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://bitbucket.org/richard42/mupen64plus-core/downloads/ \
	/richard42/mupen64plus-core/downloads/mupen64plus-core-src-(.*\d).tar.gz
