=== debian/changelog ===
mupen64plus-core (2.5-8) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.0, no changes required
    - Switch to correct DEP-14 unstable branch name
    - Switch to fonts-dejavu-core for OSD (Closes: #998271)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 01 Nov 2021 21:22:53 +0100

mupen64plus-core (2.5-7) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.5.0, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/sid
    - Switch to debhelper compat 13
  * debian/copyright
    - Update copyright years to 2020
    - Use spaces to start continuation lines
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/patches:
    - Add Fix-multiple-definition-errors.patch,
      Fix FTBFS with GCC 10 (Closes: #966344)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 27 Jul 2020 15:33:11 +0200

mupen64plus-core (2.5-6) unstable; urgency=medium

  * debian/control:
    - Add Multi-Arch tags to packages without maintainer scripts and equal
      common files
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:20:30 +0200

mupen64plus-core (2.5-5) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch
  * Add debian/upstream/metadata

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:50:06 +0200

mupen64plus-core (2.5-4) unstable; urgency=medium

  * debian/rules:
    - Build armhf for reproducible CI with NEON and GLES

 -- Sven Eckelmann <sven@narfation.org>  Thu, 14 Jan 2016 22:36:53 +0100

mupen64plus-core (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-core-dbg in favor of -dbgsym package
  * debian/patches:
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:27:13 +0100

mupen64plus-core (2.5-2) unstable; urgency=medium

  * debian/libmupen64plus2.symbols
    - move ConfigSetParameterHelp to the first official release version 2.5
  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team
  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add Use-pkg-config-to-find-GLESv2-library.patch, Use pkg-config to
      find GLESv2 library
    - Add Remove-unused-GLESv2-library.patch, Remove unused GLESv2 library
    - Add Avoid-.text-relocations-in-PIC-shared-library.patch, Avoid .text
      relocations in PIC shared library
    - Add bugfix-gameshark-cheat-codes-which-modified-executab.patch,
      fix gameshark cheat code which modify already recompiled code
    - Add fix-joystick-mapped-Core-events-under-SDL2.patch, Fix
      joystick-mapped Core events under SDL2

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:05 +0100

mupen64plus-core (2.5-1) unstable; urgency=medium

  * New Upstream Verion
  * Upload to unstable
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright:
    - Update years
    - Fix errors in paths to specific files
    - Add new copyright information
  * debian/patches:
    - Remove upstream merged two_events_interrupt.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 15:12:14 +0200

mupen64plus-core (2.0+144+ga6ab125-1) experimental; urgency=medium

  * New Upstream Snapshot from a6ab125a6a25263e6e1a66f834c3bfb9ebaf2275
  * debian/patches:
    - Remove upstream merged patches cheat_multiconditions.patch,
      cheatengine_workarounds.patch, complete_resolve_romdb.patch,
      config_currentstateslot.patch, counter_per_op.patch,
      countperop_hydrothunter.patch, countperop_romdb.patch,
      countperop_rominfo.patch, delay_si.patch, duplicates_cheatdb.patch,
      flashram_read_handing.patch, format_eeprom.patch,
      interpreter_cmd_link_unconditionally.patch, invalid_reference_romdb.patch,
      mario64_levitate.patch, multiple_main.patch, n64_cic_nus_6105_reset.patch,
      nfl_duplicates_cheatdb.patch, nondefault_resolve_romdb.patch,
      obsolete_variable.patch, oot_subscreen_delay_fix.patch,
      pilotwings_workarounds_romdb.patch, pokemon_snap_workarounds_romdb.patch,
      revert_wii64_eeprom.patch, sdl2_destroywindow.patch, sdl2_keysym.patch,
      sdl2_no_surface.patch, sdl2_no_unicode.patch, sdl2_select_saveslot.patch,
      self_reference_romdb.patch, turok2_duplicates_cheatdb.patch,
      whitelist_cheatdb.patch, workarounds_romdb.patch,
      zelda_workarounds_romdb.patch
  * Provide new mupen64plus-config-abi-2.3 virtual package in debian/control
  * Add new symbol ConfigSetParameterHelp to libmupen64plus2

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 10:32:04 +0200

mupen64plus-core (2.0-7) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:08:27 +0200

mupen64plus-core (2.0-6) unstable; urgency=medium

  * debian/control:
    - Add Build-Depends for libminizip-dev

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Jun 2014 15:13:09 +0200

mupen64plus-core (2.0-5) unstable; urgency=medium

  * debian/patches:

