## mupen64plus-core 2.5.9

=== debian/changelog ===
mupen64plus-core (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control:
    - Add Multi-Arch tags to packages without maintainer scripts and equal
      common files
    - Add new build dependency nasm
    - Provide new ABI versions
      + mupen64plus-config-abi-2.3.1
      + mupen64plus-debug-abi-2.0.1
      + mupen64plus-frontend-abi-2.1.2
      + mupen64plus-input-abi-2.1
      + mupen64plus-vidext-abi-3.1
    - Upgraded to policy 4.3.0, no changes required
    - Add OpenCV video input backend
    - Switch to debhelper 12
  * debian/libmupen64plus2.symbols:
    - Add new symbols to libmupen64plus2
      + ConfigExternalClose
      + ConfigExternalGetParameter
      + ConfigExternalOpen
      + DebugBreakpointTriggeredBy
      + DebugVirtualToPhysical
      + VidExt_GL_GetDefaultFramebuffer
  * debian/patches:
    - Add bump-API-version-to-2.1.0-and-modify-input-plugin-attach-.patch,
      Update input API version to 2.1
    - Add fix-issue-627-improve-security-by-making-stack-segment-no.patch,
      improve security by making stack segment not executable
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019
    - Add copyright for new files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:59 +0100
