=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-core.git -b debian/unstable
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-core.git
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-core
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libfreetype6-dev,
  libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
  libglu1-mesa-dev [any-i386 any-amd64] | libglu-dev [any-i386 any-amd64],
  libminizip-dev,
+ libopencv-dev,
  libpng-dev,
  libsdl2-dev,
+ nasm,
  pkg-config,
  zlib1g-dev | libz-dev,
 
@@ -45,20 +46,24 @@
  ${misc:Pre-Depends},
 Depends:
  mupen64plus-data,
- fonts-dejavu-core,
+ ttf-bitstream-vera,
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
  mupen64plus-audio-abi-2,
  mupen64plus-config-abi-2.2,
  mupen64plus-config-abi-2.3,
+ mupen64plus-config-abi-2.3.1,
  mupen64plus-debug-abi-2,
+ mupen64plus-debug-abi-2.0.1,
  mupen64plus-frontend-abi-2.1.1,
+ mupen64plus-frontend-abi-2.1.2,
  mupen64plus-gfx-abi-2.1,
  mupen64plus-gfx-abi-2.2,
- mupen64plus-input-abi-2,
+ mupen64plus-input-abi-2.1,
  mupen64plus-rsp-abi-2,
  mupen64plus-vidext-abi-3,
+ mupen64plus-vidext-abi-3.1,
 Breaks:
  mupen64plus-audio-sdl (<< 2.0),
  mupen64plus-input-sdl (<< 2.0),
